OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000369OMNeT++simulation kernelpublic2011-07-06 14:562011-09-15 10:36
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.1 
Target VersionFixed in Version4.2rc1 
Summary0000369: Problems with unit names
DescriptionKbps: should be lowercase k.

KB, MB, TB, GB: should use binary prefixes: KiB, MiB, TiB, GiB.

Existing MB, TB, GB should be decimal scale; this causes compatibility issues.

KB should be renamed to kB and use decimal scale (1000).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000516)
andras (administrator)
2011-07-06 15:01

Plan for removing KB and changing MB, TB, GB to decimal scale, without causing unpleasant surprises for users:

- in release 4.2: remove them from the unitconversion table; using them should trigger an error message telling the user to change them to KiB, MiB, TiB, GiB
- in a later release (5.0?), add them back with decimal scale
(0000517)
andras (administrator)
2011-07-06 15:56

Also, add speed units: mps, kmph
(0000518)
leonardo (reporter)
2011-07-07 15:58

adjust also the random generators, or document them. It takes some attempts to understand that a message size in a .ini file should be written as: weibull(10B,1B).
(0000558)
andras (administrator)
2011-09-15 10:36

Done in 4.2rc1

- Issue History
Date Modified Username Field Change
2011-07-06 14:56 andras New Issue
2011-07-06 15:01 andras Note Added: 0000516
2011-07-06 15:56 andras Note Added: 0000517
2011-07-07 15:58 leonardo Note Added: 0000518
2011-09-15 10:36 andras Note Added: 0000558
2011-09-15 10:36 andras Status new => resolved
2011-09-15 10:36 andras Fixed in Version => 4.2rc1
2011-09-15 10:36 andras Resolution open => fixed
2011-09-15 10:36 andras Assigned To => andras


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker